#!/bin/sh


if ping -q -c 1 -W 1 8.8.8.8 >/dev/null; then
  {
###########
#CHOAKEM
########################################################################################################################################
#GOOGLESHEETS="https://docs.google.com/spreadsheets/d/1m55-xQ4jn1ZWCuVM0flVGWH-KDcpRzglqzuL9TAk1To/export?format=csv&gid=1975019053"
########################################################################################################################################
curl -k -L 'https://docs.google.com/spreadsheets/d/1m55-xQ4jn1ZWCuVM0flVGWH-KDcpRzglqzuL9TAk1To/export?format=csv&gid=1975019053' -o  '/tmp/token.csv' &>/dev/null
token="/tmp/token.csv" 
plextoken=$(cat "$token")
########################################################################################################################################

###########
#DARYN
########################################################################################################################################
GOOGLESHEETS="https://docs.google.com/spreadsheets/d/1O1IRFv-8ukp9RUNzaQwqjQRHZRncLpdtPc_7FUsVYw4/export?format=csv&gid=2019664828"
########################################################################################################################################
curl -k -L $GOOGLESHEETS -o  '/tmp/token1.csv' &>/dev/null
token1="/tmp/token1.csv" 
plextoken1=$(cat "$token1")
########################################################################################################################################

#REMOVE PLEX
file="/script/plexaccount"
PLEX=$(cat "$file")


if [ "$PLEX" == "YES" ]; then
  {
   if grep -xq 'config.plugins.dreamplex.Entries.0.myplexToken='$plextoken /etc/enigma2/settings ; then
		echo ""
		echo '**************************************************'
		echo '** ONDEMAND IS CONFIGURED.     **'
		echo '**************************************************'
		echo ""
		else
		echo 'ONDEMAND - REQUIRES A CONFIGURATION CHANGE '
		init 4 #Stops Enigma
		sleep 2
		sed -i '/^config.plugins.dreamplex/d' /etc/enigma2/settings #Remove all Plex References
		#Add Correct References for expired
		echo 'config.plugins.dreamplex.echo configfolderpath=/tmp' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.ip=109.121.44.19' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.localAuth=true' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexId=13987897' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexPassword=GUESS' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexPin=7116' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexToken='$plextoken >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexTokenUsername=GUESS' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexUsername=02_04_2021' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.name=Primary Server' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.port=41111' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.settingsPin=7116' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.useForcedSubtitles=false' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.entriescount=1' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.exitFunction=1' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.mediafolderpath=/tmp' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.playerTempPath=/tmp' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.showDetailsInListDetailType=2' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.useCache=false' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.usePicCache=false' >> /etc/enigma2/settings

		init 6 #Starts Enigma
		echo Box will now reboot for the change.
		sleep 10
  fi  
  }
elif [ "$PLEX" == "DARYN" ]; then
  {
    {
  
   if grep -xq 'config.plugins.dreamplex.Entries.0.myplexToken='$plextoken1 /etc/enigma2/settings ; then
	echo ''
	echo '**************************************************************'
	echo 'DREAMPLEX IS CONFIGURED. ENIGMA_VERSION_UPDATED 24-03-2021 '
	echo '**************************************************************'
	echo ""
    else
    echo 'DREAMPLEX - REQUIRES A CONFIGURATION CHANGE - VERSION_UPDATED_24-03-2021'
    init 4 #Stops Enigma
    sleep 2
    sed -i '/^config.plugins.dreamplex/d' /etc/enigma2/settings #Remove all Plex References
    #Add Correct References for expired
	echo 'config.plugins.dreamplex.echo configfolderpath=/tmp' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.ip=95.217.43.226' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.localAuth=true' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexId=24208480' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexPassword=GUESS' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexPin=7116' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexToken='$plextoken1 >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexTokenUsername=GUESS' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.myplexUsername=24-03-2021' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.name=Primary Server' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.port=33000' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.settingsPin=7116' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.Entries.0.useForcedSubtitles=false' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.entriescount=1' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.exitFunction=1' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.mediafolderpath=/tmp' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.playerTempPath=/tmp' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.showDetailsInListDetailType=2' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.useCache=false' >> /etc/enigma2/settings
		echo 'config.plugins.dreamplex.usePicCache=false' >> /etc/enigma2/settings

  init 6 #Starts Enigma
	echo 'Box will now reboot for the change.'
	sleep 10
	fi
    }
  }
  elif [ "$PLEX" == "NO" ]; then
  {
  if grep -xq "config.plugins.dreamplex.Entries.0.myplexUsername=expexp123" /etc/enigma2/settings ; then
	echo ""
  else
  echo ONDEMAND - REQUIRES A CONFIGURATION CHANGE - EXPIRED
  init 4 #Stops Enigma
  sleep 2
  sed -i '/^config.plugins.dreamplex/d' /etc/enigma2/settings #Remove all Plex References
  #Add Correct References for expired
	echo config.plugins.dreamplex.cachefolderpath=/tmp/ >> /etc/enigma2/settings
	echo config.plugins.dreamplex.configfolderpath=/tmp/ >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.autostart=true >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.connectionType=2 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.machineIdentifier=c9b1f1270392cea369b8946f55c3711ec68012f3, ec0c8a43968d6df3f421120c16fa72a62040e506 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.myplexId=8648287 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.myplexPassword=Dre@mb0x1 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.myplexToken=iRNHenxysVyy2VZMTa8z >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.myplexTokenUsername=expexp123 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.Entries.0.myplexUsername=expexp123 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.entriescount=1 >> /etc/enigma2/settings
	echo config.plugins.dreamplex.mediafolderpath=/tmp/ >> /etc/enigma2/settings
	echo config.plugins.dreamplex.playerTempPath=/tmp/ >> /etc/enigma2/settings
	echo config.plugins.dreamplex.summerizeServers=false >> /etc/enigma2/settings
	sleep 5
	init 6 #Starts Enigma
  fi  
  }
else
echo Plex Account not recognised - Please contact Supplier
fi
}
fi
